/* 
 *  First Box to the user to select the language he or she
 *  will use. 
 *
 *  Author: Hartmut Koptein <koptein@debian.org>
 *
 */

#include "dbootstrap.h"
#include <stdio.h>
#include "lang.h"


int set_language(char *lang)
{
#define NCHOICES 13	
    int rs=-1, i=0;

    struct d_choices opt[NCHOICES];
    
    char *langd[NCHOICES][2]={
	    { "English",    "C"   },
	    { "French",     "fr"  },
	    { "Deutsch",    "de"  },
	    { "Espaniol",   "es"  },
	    { "Italiano",   "it"  },
	    { "Chechisch",  "cs"  },
            { "Hungarian",  "hr"  },
	    { "Japanese",   "ja"  },
	    { "Polish",     "pl"  },
	    { "pt",         "pt"  },
	    { "Russisch",   "ru"  },
	    { "sk",         "sk"  },
	    { "sv",         "sv"  }};
	      

    for (i=0; i<NCHOICES; i++) {
    	opt[i].tag="";
    	opt[i].string=langd[i][0];
    }

    rs=menuBox("","",opt,NCHOICES,0);

    strcmp(langd[rs][1],lang);
    
    return rs;
}

#ifdef _TESTING_

void test_lang(void) {
    char *test="";
    char buf[128];
    int ret;

    ret=set_language(test);
    sprintf(buf,"You've chosen option %d, this is %s", ret, test);
    problemBox(buf,"Answer");
}

/* To test, compile using: make test_lang */
int main(void)
{
    LOAD_TRMFILE("test.trm");
    get_kver();
    boxInit();

    test_lang();

    boxFinished();
    return 0;
}
#endif
